package com.oracle.webservices.internal.api.databinding;

import java.util.Map;

public abstract class DatabindingFactory
{
    static final String ImplClass = "com.sun.xml.internal.ws.db.DatabindingFactoryImpl";
    
    public DatabindingFactory() {
    }
    
    public abstract Databinding.Builder createBuilder(Class<?> p0, Class<?> p1);
    
    public abstract Map<String, Object> properties();
    
    public static DatabindingFactory newInstance() {
        try {
            Class<?> cls = Class.forName("com.sun.xml.internal.ws.db.DatabindingFactoryImpl");
            return convertIfNecessary(cls);
        }
        catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
    
    private static DatabindingFactory convertIfNecessary(Class<?> cls) throws InstantiationException, IllegalAccessException {
        return (DatabindingFactory)cls.newInstance();
    }
}
